2025-08-26 07:28:12 UTC
1.41 GB
/home/postgres/pgdata/backup
BUILD_PACKAGESbinutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
CARGO_HOME/usr/local/cargo
DEBIAN_FRONTENDnoninteractive
LANGC.UTF-8
LC_ALLC.UTF-8
MAKEFLAGS-j4
PAGER PATH/usr/lib/postgresql/14/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PGBACKREST_CONFIG/home/postgres/pgdata/backup/pgbackrest.conf
PGBACKREST_STANZApoddb
PGDATA/home/postgres/pgdata/data
PGLOG/home/postgres/pg_log
PGROOT/home/postgres
PGSOCKET/home/postgres/pgdata
RUSTUP_HOME/usr/local/rustup
RUST_VERSION1.85.0
[#000] sha256:a3be5d4ce40198dc77f17780f02720f55b1898a2368f701dd1619fc9f84aac86 - 1.95% (28.2 MB)
[#001] sha256:5426241e8eb10d11c259ee3a49fa76509d42a3b5c2539531217c68f5a61a3671 - 0.0% (4.21 KB)
[#002] sha256:595606a568cc832ae451072a8eb5aaa82c0065eac850b65b71a7596e46cbcb0c - 0.0% (215 Bytes)
[#003] sha256:5d0d535586938ce3cd48e9368756ced333844692c425ec60277cde2fa0956490 - 0.0% (227 Bytes)
[#004] sha256:90bbc5bf654e2b3ebaeca7b9904bfe8d774eaefb671d2922c543883d0d58117e - 0.0% (445 Bytes)
[#005] sha256:9a5a16ffe92f814fb815fd8b8bb10dc4e48743ddb971234cec97ff99f89513ca - 0.0% (942 Bytes)
[#006] sha256:8ee6b6fc784d6240ca9de1cccbf9c62102713ab1ccc86259e6840ee85f4a1d2c - 4.44% (64 MB)
[#007] sha256:9c5a52fcaba0339689e5f4d34d6632def6f07d2189e9c1a6044838422f1ac8e4 - 0.0% (119 Bytes)
[#008] sha256:411f3212d75ad571b69dbc0380f3431d7644b35b476bfdbc19db9ba73478417f - 0.0% (95 Bytes)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:02031974b8903f966df98281059ae208f1e06819461f6f74963c1ac6a323edff - 0.0% (3.56 KB)
[#011] sha256:7eaf5be06eec756762a88e8ecafad49f9520398f549afed0e12cf29b364329ef - 0.0% (5.5 KB)
[#012] sha256:62da7d684cdf310f1cfeaa54026e5ad4a504cefd994a886a8047ccdc90bf9a35 - 0.0% (2.98 KB)
[#013] sha256:6a86069bd70c28cc84ebf4846d202656210ac8edf30521dc921a8373e40ab252 - 0.0% (270 Bytes)
[#014] sha256:2f63bd9b1174591191d07a43801593d3c24358d43b98ab514e849c0b1b932d11 - 5.29% (76.2 MB)
[#015] sha256:e29a394eff3add6e4725749b043ae93b55a19b4dfd472c757232c2b7445d3ab1 - 0.28% (4 MB)
[#016] sha256:cc9e58b9b7cf14deeeb9267bea1291bc19775fa9b4a3dc67bfce33cc74003bbf - 0.56% (8.02 MB)
[#017] sha256:abe10fbed019a5e7dc0029c8ecb16dfd8f592ad907212e494151c6a977932eef - 0.0% (839 Bytes)
[#018] sha256:67ef6d01cb03711ef376292a8e53164588456bad363850a58cdc04b1db02650d - 12.72% (183 MB)
[#019] sha256:ea709ce52103edd9c0daf72550ad8c4f3db8ae8d6fcf3fe257ee62d3bf0d8d33 - 0.06% (850 KB)
[#020] sha256:36ba6e58321dd4f7149e312094adab2e8930cdea8e97413b3dcef22310062067 - 0.34% (4.88 MB)
[#021] sha256:1acf6211f74dc78eae590829665892d503903f0e14b5a9d42a0bd79803cdc14f - 2.63% (37.9 MB)
[#022] sha256:bde46bcd5b5ae38484e2d90bd418b5645c37e45fdba4b8b41688e7cb6b5c2efd - 7.31% (105 MB)
[#023] sha256:dfe31e7255f95f467f5a24c6e6c9f6bbe42c4b00baafa7b5d56ea957cad8472d - 0.0% (1.97 KB)
[#024] sha256:791ea46d66e58446b03d665ab8760928454cadeeb2f0a57d9402a93bb1e69e4b - 0.1% (1.5 MB)
[#025] sha256:a1774014c8ee5eb9b8324ec3cbe1f17eeb552323c09a87c099a498aef85075ae - 0.0% (7.84 KB)
[#026] sha256:11a9147cfdfc36265a779d3d2240dad8b41ea97bc83134538495e67f7d8d8c86 - 15.21% (219 MB)
[#027] sha256:4f82478ff2db5faa22f12646dc2afffc83145b39f5d532803c6cf257f6592c1d - 0.11% (1.55 MB)
[#028] sha256:4afec00b4d8409011deddfed3b7187a8f5c2066f9d9f4c179a0cf5cb2fde3df3 - 7.69% (111 MB)
[#029] sha256:7320b39eb2e50f65efd68f1ef9e28ff61d0d5e51e84e66c529517ca62ec3bca9 - 0.0% (2.79 KB)
[#030] sha256:44e5a87d057228b4c56f3b0968164bc419d9986aafbdc007a2b11d79ded4869c - 0.03% (430 KB)
[#031] sha256:a83940519dda4812dbc6aef64d4d9630446550b33decce5a8280e877b59dcc6e - 0.0% (2.78 KB)
[#032] sha256:3af6ce02133c22442c3cc7408f7808766172440a753d2bf33643d2ae9227e81a - 0.02% (308 KB)
[#033] sha256:d2b2a46c99b0f2237e6e6c7afc50ce277dd56484b68ed5a84556625701edf737 - 0.38% (5.47 MB)
[#034] sha256:53a330adfac82df57ea1675fa4b74c6e1c45d743bc581367c058b85773b5a593 - 0.15% (2.16 MB)
[#035] sha256:4082e161851ffb6bb39eadd62a7f16cb95e5c4e721dfd7dcfd751a73b6409d6c - 0.35% (5.05 MB)
[#036] sha256:fc648868745381a71bf3e036aa9fa73a356c3d72cc41b10864339aa2254227c2 - 1.4% (20.2 MB)
[#037] sha256:2bb0ac3870b87f6d95cc1faed9013ead1944bb6f8eb1044618845ecd60e7039d - 0.31% (4.41 MB)
[#038] sha256:5ef574e8e18325a63c26be1f005429c1de233496c3bc354e4c26aefd952ce91f - 0.02% (240 KB)
[#039] sha256:3a69d84c95bc62dff929c00722802ae7f9d4d2fd09afa2f4e21564dba9333ad0 - 0.0% (641 Bytes)
[#040] sha256:87636ac766cbc0d50ced69c443f218306f31feec5e5b9261b4b4f7e9ba7c1da5 - 0.0% (5.21 KB)
[#041] sha256:bd54c7a8b90d0ff433805bfa1f884f26cdc67adcf57ad250745b79830661d76f - 0.0% (123 Bytes)
[#042] sha256:5bebf652e53e9b4811d682710b0b9339a1330dbb221bc66f1d7fbd61ee5c3d4a - 0.0% (15.3 KB)
[#043] sha256:acf8b293528f800aa59d7775f340ea81bd986a0316ff707659e91cf7515c1d33 - 0.0% (8.63 KB)
[#044] sha256:9722643b2cc7cfecb50d97a1b30bea02d53ec805f490070da53fe7c77eed4e63 - 5.58% (80.5 MB)
[#045] sha256:462637174312a16d7e75396c52ebacd5e7c64e84ab658844a8228aea0c729318 - 1.33% (19.1 MB)
[#046] sha256:5191e077c8bc5dceaf79d3e172d44a2e90e2f34e666cea7e11d81def331cd45f - 0.0% (165 Bytes)
[#047] sha256:4c15ff2cf72eaf61c18bae5eee1e7592a19dadd5810fbff80d41a346e6ea10c6 - 4.09% (59 MB)
[#048] sha256:6c3d12ac4b933b85dbc7e1311fcdf3ee66e77fd62c7890d140aca7c53ff92b5b - 0.73% (10.5 MB)
[#049] sha256:bb0ea911c31186953ea6fd793d83f25c5f0d36ecf4ac0dcb576af5c2d56b508c - 0.02% (267 KB)
[#050] sha256:7c83f088480a21cb479fd38a37ec1f6917a4eb8cf6b0c7800cfbc406c37395a1 - 0.03% (438 KB)
[#051] sha256:32a1622ffdd27a01e47ffcfcc0080d5e77aa17d4bf3710faf86093e8863881c6 - 25.52% (368 MB)
[#052] sha256:22c71bba6850eb6b92af540f4e311658114fa67937ba0d73563d83a5a921153f - 0.67% (9.59 MB)
[#053] sha256:4132ab5294e174e1772b2cf1ea506848ac55c42627ee33f2de9374ab8b71bce3 - 0.26% (3.7 MB)
[#054] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#055] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#056] sha256:90bcafe8bf7442dd8ef8eb9e80afecb7ac729def94c257c49d7191d0d5267f21 - 0.0% (1.26 KB)
[#057] sha256:aec8a00dd3975392a2b70836211654863bda18a3c30d18201c8256a71f1e08fb - 0.0% (120 Bytes)
[#058] sha256:869e9b84d557e2a0f63ace8c00337b9b48257e027aabdf468582c8709d86efe5 - 0.0% (986 Bytes)
[#059] sha256:c89e10d1be6df204cb1753a92eb38fd11ca4bdab95d8f0f55a993f106f38f9f0 - 0.0% (25 KB)
[#060] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#061] sha256:a754a0f79611b9c2659e3d0d2643bdae4ff3bff72197afd3bed34d4253c163e6 - 0.0% (333 Bytes)
[#062] sha256:8d855bcceed5cedddfc96319397ff12ad5079fccd6a7361710bbf040fe978ed8 - 0.0% (151 Bytes)
[#063] sha256:949cdf35334bc459da6f2a9ffb002d3ee31bdddff9f26b1fd13d46e30a354b12 - 0.0% (320 Bytes)
[#064] sha256:85cf88f937e38ec1e62f1442b189c361a3ef0c565ae1ac7ac122dc369635be7c - 0.44% (6.28 MB)
[#065] sha256:db97834dda8c192e702840869dc5a078e67fab2cf7ac53b10345fa1c22e4c82e - 0.0% (912 Bytes)
[#066] sha256:d24bc87c1e739ff0d97b1c07ceb2f8044461c9c810c38b989f28a4268125821b - 0.0% (582 Bytes)
[#067] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#068] sha256:eb6918bc9f1a3d8a67709d0ca0f5f057eeabcbd120c17ed84355545d3f1cba85 - 0.0% (4.05 KB)
[#069] sha256:bebb4a8ae88af3a427f7b23873cf8f05b6ebcef4544def1a7b6ffca1f7d3d783 - 0.0% (148 Bytes)
/bin/sh -c #(nop) ARG RELEASE
2025-07-30 05:32:11 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2025-07-30 05:32:11 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2025-07-30 05:32:11 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2025-07-30 05:32:14 UTC/bin/sh -c #(nop) ADD file:598bb7ba54e5a576778e9ebe1f4e514188812bea30c08d00446f8d04c37053e6 in /
2025-07-30 05:32:14 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)SHELL [/bin/bash -exu -o pipefail -c]
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)ARG PG_VERSIONS=14
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=14
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)ENV DEBIAN_FRONTEND=noninteractive
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c adduser --home /home/postgres --uid 1000 --disabled-password --gecos "" postgres # buildkit
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c echo 'APT::Install-Recommends "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c echo 'APT::Install-Suggests "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2025-08-26 07:07:03 UTC (buildkit.dockerfile.v0)COPY sources /tmp/sources # buildkit
2025-08-26 07:07:04 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c source="/tmp/sources/sources.list.$(dpkg --print-architecture)"; mv /etc/apt/sources.list /etc/apt/sources.list.dist; cp "$source" /etc/apt/sources.list; rm -fr /tmp/sources # buildkit
2025-08-26 07:07:15 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y ca-certificates curl gnupg1 gpg gpg-agent locales lsb-release wget unzip # buildkit
2025-08-26 07:07:15 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c mkdir -p /build/scripts # buildkit
2025-08-26 07:07:15 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c chmod 777 /build # buildkit
2025-08-26 07:07:15 UTC (buildkit.dockerfile.v0)WORKDIR /build/
2025-08-26 07:07:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c curl -Ls https://www.postgresql.org/media/keys/ACCC4CF8.asc | gpg --dearmor --output /usr/share/keyrings/postgresql.keyring # buildkit
2025-08-26 07:07:16 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c for t in deb deb-src; do echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt.postgresql.org/pub/repos/apt/ $(lsb_release -s -c)-pgdg main 18" >> /etc/apt/sources.list.d/pgdg.list; echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt-archive.postgresql.org/pub/repos/apt $(lsb_release -s -c)-pgdg-archive main" >> /etc/apt/sources.list.d/pgdg.list; done # buildkit
2025-08-26 07:07:17 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c curl -Ls https://packagecloud.io/timescale/timescaledb/gpgkey | gpg --dearmor --output /usr/share/keyrings/timescaledb.keyring # buildkit
2025-08-26 07:07:17 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/timescaledb.keyring] https://packagecloud.io/timescale/timescaledb/ubuntu/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/timescaledb.list # buildkit
2025-08-26 07:07:35 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y less jq strace procps awscli vim-tiny gdb gdbserver dumb-init daemontools postgresql-common pgbouncer pgbackrest lz4 libpq-dev libpq5 pgtop libnss-wrapper gosu pg-activity lsof htop; curl -Lso /usr/local/bin/yq https://github.com/mikefarah/yq/releases/latest/download/yq_linux_"$(dpkg --print-architecture)"; chmod 755 /usr/local/bin/yq # buildkit
2025-08-26 07:07:35 UTC (buildkit.dockerfile.v0)ARG PGBACKREST_EXPORTER_VERSION=0.18.0
2025-08-26 07:07:35 UTC (buildkit.dockerfile.v0)RUN |3 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 /bin/bash -exu -o pipefail -c arch="$(arch)"; [ "$arch" = aarch64 ] && arch=arm64; pkg="pgbackrest_exporter_${PGBACKREST_EXPORTER_VERSION}_linux_${arch}"; curl --silent --location --output /tmp/pkg.deb "https://github.com/woblerr/pgbackrest_exporter/releases/download/v${PGBACKREST_EXPORTER_VERSION}/${pkg}.deb"; cd /tmp; dpkg -i ./pkg.deb; rm -rfv /tmp/pkg.deb # buildkit
2025-08-26 07:07:35 UTC (buildkit.dockerfile.v0)ARG PGBOUNCER_EXPORTER_VERSION=0.9.0
2025-08-26 07:07:36 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c pkg="pgbouncer_exporter-${PGBOUNCER_EXPORTER_VERSION}.linux-$(dpkg --print-architecture)"; curl --silent --location --output /tmp/pkg.tgz "https://github.com/prometheus-community/pgbouncer_exporter/releases/download/v${PGBOUNCER_EXPORTER_VERSION}/${pkg}.tar.gz"; cd /tmp; tar xvzf /tmp/pkg.tgz "$pkg"/pgbouncer_exporter; mv -v /tmp/"$pkg"/pgbouncer_exporter /usr/local/bin/pgbouncer_exporter; rm -rfv /tmp/pkg.tgz /tmp/"$pkg" # buildkit
2025-08-26 07:07:36 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c sed -ri 's/#(create_main_cluster) .*$/\1 = false/' /etc/postgresql-common/createcluster.conf # buildkit
2025-08-26 07:07:36 UTC (buildkit.dockerfile.v0)ENV RUSTUP_HOME=/usr/local/rustup CARGO_HOME=/usr/local/cargo PATH=/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUST_VERSION=1.85.0
2025-08-26 07:07:44 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) rustArch='x86_64-unknown-linux-gnu'; rustupSha256='6aeece6993e902708983b209d04c0d1dbb14ebb405ddb87def578d41f920f56d' ;; armhf) rustArch='armv7-unknown-linux-gnueabihf'; rustupSha256='3c4114923305f1cd3b96ce3454e9e549ad4aa7c07c03aec73d1a785e98388bed' ;; arm64) rustArch='aarch64-unknown-linux-gnu'; rustupSha256='1cffbf51e63e634c746f741de50649bbbcbd9dbe1de363c9ecef64e278dba2b2' ;; i386) rustArch='i686-unknown-linux-gnu'; rustupSha256='0a6bed6e9f21192a51f83977716466895706059afb880500ff1d0e751ada5237' ;; *) echo >&2 "unsupported architecture: ${dpkgArch}"; exit 1 ;; esac; url="https://static.rust-lang.org/rustup/archive/1.27.1/${rustArch}/rustup-init"; wget "$url"; echo "${rustupSha256} *rustup-init" | sha256sum -c -; chmod +x rustup-init; ./rustup-init -y --no-modify-path --profile minimal --default-toolchain $RUST_VERSION --default-host ${rustArch}; rm rustup-init; chmod -R a+w $RUSTUP_HOME $CARGO_HOME; rustup --version; cargo --version; rustc --version # buildkit
2025-08-26 07:07:45 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c find /usr/share/i18n/charmaps/ -type f ! -name UTF-8.gz -delete; find /usr/share/i18n/locales/ -type f ! -name en_US ! -name en_GB ! -name i18n* ! -name iso14651_t1 ! -name iso14651_t1_common ! -name 'translit_*' -delete; echo 'en_US.UTF-8 UTF-8' > /usr/share/i18n/SUPPORTED; localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8 # buildkit
2025-08-26 07:07:49 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y python3 python3-pip # buildkit
2025-08-26 07:07:51 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c python3 -m pip install uv # buildkit
2025-08-26 07:07:51 UTC (buildkit.dockerfile.v0)ENV BUILD_PACKAGES=binutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
2025-08-26 07:08:02 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y ${BUILD_PACKAGES} # buildkit
2025-08-26 07:08:04 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-mark auto ${BUILD_PACKAGES} # buildkit
2025-08-26 07:08:07 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y --allow-downgrades tzdata="2022a-*" # buildkit
2025-08-26 07:08:07 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres build_scripts /build/scripts/ # buildkit
2025-08-26 07:08:24 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do mk-build-deps "postgresql-${pg}" && apt-get install -y ./postgresql-${pg}-build-deps*.deb && apt-mark auto postgresql-${pg}-build-deps || exit 1; done # buildkit
2025-08-26 07:08:27 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y tzdata # buildkit
2025-08-26 07:08:41 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c packages=""; for pg in ${PG_VERSIONS}; do export FULL_VERSION="$(/build/scripts/pg_version.sh ${pg})*" ; packages="$packages postgresql-client-${pg}=${FULL_VERSION} postgresql-${pg}=${FULL_VERSION} postgresql-server-dev-${pg}=${FULL_VERSION} postgresql-${pg}-dbgsym=${FULL_VERSION} postgresql-plpython3-${pg}=${FULL_VERSION} postgresql-plperl-${pg}=${FULL_VERSION} postgresql-${pg}-pgextwlist postgresql-${pg}-repack postgresql-${pg}-unit postgresql-${pg}-pgpcre postgresql-${pg}-wal2json postgresql-${pg}-pgq3 postgresql-${pg}-ip4r postgresql-${pg}-pgtap postgresql-${pg}-semver postgresql-${pg}-orafce"; if [ "$pg" -lt 18 ]; then packages="$packages postgresql-${pg}-hypopg postgresql-${pg}-pg-stat-kcache postgresql-${pg}-cron postgresql-${pg}-pglogical postgresql-${pg}-pg-qualstats postgresql-${pg}-pgaudit postgresql-${pg}-hll postgresql-${pg}-pgrouting postgresql-${pg}-pgvector postgresql-${pg}-pldebugger postgresql-${pg}-h3 postgresql-${pg}-rum"; fi; done; apt-get install -y $packages # buildkit
2025-08-26 07:08:41 UTC (buildkit.dockerfile.v0)ARG POSTGIS_VERSIONS=3
2025-08-26 07:08:43 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c if [ -n "${POSTGIS_VERSIONS}" ]; then for postgisv in ${POSTGIS_VERSIONS}; do for pg in ${PG_VERSIONS}; do [ "$pg" -gt 17 ] && continue; apt-get install -y postgresql-${pg}-postgis-${postgisv}; done; done; fi # buildkit
2025-08-26 07:08:45 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y pgxnclient # buildkit
2025-08-26 07:08:46 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y libsodium23 # buildkit
2025-08-26 07:08:56 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for pkg in pg_uuidv7 pgsodium; do PATH="/usr/lib/postgresql/${pg}/bin:$PATH" pgxnclient install --pg_config "/usr/lib/postgresql/${pg}/bin/pg_config" "$pkg"; done; done # buildkit
2025-08-26 07:08:56 UTC (buildkit.dockerfile.v0)ARG PGVECTO_RS=0.4.0
2025-08-26 07:09:01 UTC (buildkit.dockerfile.v0)RUN |6 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 /bin/bash -exu -o pipefail -c if [ -n "${PGVECTO_RS}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 14 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectors.deb "https://github.com/tensorchord/pgvecto.rs/releases/download/v${PGVECTO_RS}/vectors-pg${pg}_${PGVECTO_RS}_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectors.deb && rm -rfv /tmp/vectors.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vectors.so"; fi done; fi # buildkit
2025-08-26 07:09:01 UTC (buildkit.dockerfile.v0)ARG VECTORCHORD=0.4.3
2025-08-26 07:09:02 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c set -ex; if [ -n "${VECTORCHORD}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 13 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectorchord.deb "https://github.com/tensorchord/VectorChord/releases/download/${VECTORCHORD}/postgresql-${pg}-vchord_${VECTORCHORD}-1_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectorchord.deb && rm -rfv /tmp/vectorchord.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vchord.so"; fi done; fi # buildkit
2025-08-26 07:09:09 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c apt-get install -y python3-etcd python3-requests python3-pystache python3-kubernetes python3-pysyncobj patroni # buildkit
2025-08-26 07:09:15 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c pip3 install --no-cache-dir 'barman[cloud,azure,snappy,google]' # buildkit
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c apt-get install -y timescaledb-tools # buildkit
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)ARG GITHUB_TIMESCALEDB_DOCKER_REF=main
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)ARG GITHUB_DOCKERLIB_POSTGRES_REF=master
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c cd /build; git clone https://github.com/timescale/timescaledb-docker; cd timescaledb-docker; git checkout ${GITHUB_TIMESCALEDB_DOCKER_REF}; cp -a docker-entrypoint-initdb.d /docker-entrypoint-initdb.d/; ln -s /usr/bin/timescaledb-tune /usr/local/bin/timescaledb-tune # buildkit
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)COPY scripts/010_install_timescaledb_toolkit.sh /docker-entrypoint-initdb.d/ # buildkit
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit
2025-08-26 07:09:18 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chmod +x /usr/local/bin/docker-entrypoint.sh; ln -s /usr/local/bin/docker-entrypoint.sh /docker-entrypoint.sh # buildkit
2025-08-26 07:09:20 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --includedir-server)/extension"; do install --directory "${dir}" --group postgres --mode 1775; find "${dir}" -type d -exec install --directory {} --group postgres --mode 1775 \;; done; done # buildkit
2025-08-26 07:09:20 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do [[ "$file" =~ /18/ ]] && continue; sed -r -i "s/[#]*\s*(shared_preload_libraries)\s*=\s*'(.*)'/\1 = 'timescaledb,\2'/;s/,'/'/" $file && echo "listen_addresses = '*'" >> $file; done # buildkit
2025-08-26 07:09:20 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chown -R postgres:postgres /usr/local/cargo # buildkit
2025-08-26 07:09:21 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c mkdir -p /usr/lib/debug; chgrp -R postgres /usr/lib/debug; chmod -R g+w /usr/lib/debug # buildkit
2025-08-26 07:09:21 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d /usr/local/lib/pgai # buildkit
2025-08-26 07:09:21 UTC (buildkit.dockerfile.v0)USER postgres
2025-08-26 07:09:21 UTC (buildkit.dockerfile.v0)ENV MAKEFLAGS=-j4
2025-08-26 07:09:21 UTC (buildkit.dockerfile.v0)ARG PGAI_VERSION=extension-0.11.0
2025-08-26 07:09:23 UTC (buildkit.dockerfile.v0)RUN |10 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 /bin/bash -exu -o pipefail -c if [ -n "${PGAI_VERSION}" ]; then git clone --branch "${PGAI_VERSION}" https://github.com/timescale/pgai.git /build/pgai; cd /build/pgai; for pg in ${PG_VERSIONS}; do [[ "$pg" -lt 16 || "$pg" -gt 17 ]] && continue; PG_BIN=$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir) PG_MAJOR=${pg} ./projects/extension/build.py install all; done; fi # buildkit
2025-08-26 07:09:23 UTC (buildkit.dockerfile.v0)ARG PG_STAT_MONITOR=2.1.0
2025-08-26 07:09:25 UTC (buildkit.dockerfile.v0)RUN |11 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_STAT_MONITOR}" ]; then git clone https://github.com/percona/pg_stat_monitor /build/pg_stat_monitor; cd /build/pg_stat_monitor; git checkout "${PG_STAT_MONITOR}"; git reset HEAD --hard; for pg in ${PG_VERSIONS}; do [ $pg -gt 17 ] && continue; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 all; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 install; done; fi # buildkit
2025-08-26 07:09:25 UTC (buildkit.dockerfile.v0)ARG PG_AUTH_MON=v3.0
2025-08-26 07:09:26 UTC (buildkit.dockerfile.v0)RUN |12 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_AUTH_MON}" ]; then git clone https://github.com/RafiaSabih/pg_auth_mon /build/pg_auth_mon; cd /build/pg_auth_mon; git checkout "${PG_AUTH_MON}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2025-08-26 07:09:26 UTC (buildkit.dockerfile.v0)ARG PG_LOGERRORS=v2.1.3
2025-08-26 07:09:27 UTC (buildkit.dockerfile.v0)RUN |13 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 /bin/bash -exu -o pipefail -c if [ -n "${PG_LOGERRORS}" ]; then git clone https://github.com/munakoiso/logerrors /build/logerrors; cd /build/logerrors; git checkout "${PG_LOGERRORS}"; for pg in ${PG_VERSIONS}; do [ $pg -gt 17 ] && continue; git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2025-08-26 07:09:27 UTC (buildkit.dockerfile.v0)ARG INSTALL_METHOD=docker-ha
2025-08-26 07:09:27 UTC (buildkit.dockerfile.v0)ARG OSS_ONLY=false
2025-08-26 07:09:27 UTC (buildkit.dockerfile.v0)ARG RUST_RELEASE=release
2025-08-26 07:09:27 UTC (buildkit.dockerfile.v0)ARG GITHUB_REPO=timescale/timescaledb
2025-08-26 07:09:27 UTC (buildkit.dockerfile.v0)ARG TIMESCALEDB_VERSIONS=all
2025-08-26 07:27:58 UTC (buildkit.dockerfile.v0)RUN |18 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" GITHUB_REPO="${GITHUB_REPO}" TIMESCALEDB_VERSIONS="${TIMESCALEDB_VERSIONS}" /build/scripts/install_extensions timescaledb # buildkit
2025-08-26 07:27:58 UTC (buildkit.dockerfile.v0)ARG TOOLKIT_VERSIONS=all
2025-08-26 07:28:06 UTC (buildkit.dockerfile.v0)RUN |19 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" TOOLKIT_VERSIONS="${TOOLKIT_VERSIONS}" /build/scripts/install_extensions rust # buildkit
2025-08-26 07:28:06 UTC (buildkit.dockerfile.v0)ARG PGVECTORSCALE_VERSIONS=all
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)RUN |20 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" PGVECTORSCALE_VERSIONS="${PGVECTORSCALE_VERSIONS}" /build/scripts/install_extensions pgvectorscale # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)USER root
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)ARG ALLOW_ADDING_EXTENSIONS=true
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c if [ "${ALLOW_ADDING_EXTENSIONS}" != "true" ]; then for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)"; do chown -R root:root "{dir}"; done; done; fi # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c apt-get clean # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=14
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)CMD ["postgres"]
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)COPY timescaledb_entrypoint.sh / # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c ln -s /timescaledb_entrypoint.sh /patroni_entrypoint.sh # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)COPY pgbackrest_entrypoint.sh / # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)COPY scripts /scripts/ # buildkit
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)ENV PGROOT=/home/postgres PGDATA=/home/postgres/pgdata/data PGLOG=/home/postgres/pg_log PGSOCKET=/home/postgres/pgdata BACKUPROOT=/home/postgres/pgdata/backup PGBACKREST_CONFIG=/home/postgres/pgdata/backup/pgbackrest.conf PGBACKREST_STANZA=poddb PATH=/usr/lib/postgresql/14/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin LC_ALL=C.UTF-8 LANG=C.UTF-8 PAGER=
2025-08-26 07:28:09 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c usermod postgres --home "${PGROOT}" --move-home # buildkit
2025-08-26 07:28:10 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d "${PGROOT}" "${PGLOG}" "${PGDATA}" "${BACKUPROOT}" /etc/supervisor/conf.d /scripts /var/lib/postgresql # buildkit
2025-08-26 07:28:10 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c rm /etc/pgbackrest.conf && ln -s "${PGBACKREST_CONFIG}" /etc/pgbackrest.conf # buildkit
2025-08-26 07:28:10 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c for i in $(seq 0 7); do touch "${PGLOG}/postgresql-$i.log" "${PGLOG}/postgresql-$i.csv"; done # buildkit
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c set -e; chown -R postgres:postgres "${PGLOG}" "${PGROOT}" "${PGDATA}" /var/run/postgresql/; chown -R postgres:postgres /var/log/pgbackrest/ /var/lib/pgbackrest /var/spool/pgbackrest; chmod -x /usr/lib/postgresql/*/lib/*.so; chmod 1777 /var/run/postgresql; chmod 755 "${PGROOT}" # buildkit
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c set -eux; mv -f /etc/apt/sources.list /etc/apt/sources.list.aws; mv -f /etc/apt/sources.list.dist /etc/apt/sources.list # buildkit
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)ARG DOCKER_FROM=ubuntu:22.04
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)ARG BUILDER_URL=docker.io/timescale/timescaledb-ha:pg14-builder
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)ARG RELEASE_URL=docker.io/timescale/timescaledb-ha:pg14
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)RUN |24 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg14-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg14 /bin/bash -exu -o pipefail -c /build/scripts/install_extensions versions > /.image_config; echo "OSS_ONLY=\"$OSS_ONLY\"" >> /.image_config; echo "PG_LOGERRORS=\"${PG_LOGERRORS}\"" >> /.image_config; echo "PG_STAT_MONITOR=\"${PG_STAT_MONITOR}\"" >> /.image_config; echo "PGVECTO_RS=\"${PGVECTO_RS}\"" >> /.image_config; echo "VECTORCHORD=\"${VECTORCHORD}\"" >> /.image_config; echo "POSTGIS_VERSIONS=\"${POSTGIS_VERSIONS}\"" >> /.image_config; echo "PG_AUTH_MON=\"${PG_AUTH_MON}\"" >> /.image_config; echo "PGBOUNCER_EXPORTER_VERSION=\"${PGBOUNCER_EXPORTER_VERSION}\"" >> /.image_config; echo "PGBACKREST_EXPORTER_VERSION=\"${PGBACKREST_EXPORTER_VERSION}\"" >> /.image_config; echo "PGAI_VERSION=\"${PGAI_VERSION}\"" >> /.image_config; echo "PGVECTORSCALE_VERSIONS=\"${PGVECTORSCALE_VERSIONS}\"" >> /.image_config; echo "PG_MAJOR=\"${PG_MAJOR}\"" >> /.image_config; echo "PG_VERSIONS=\"${PG_VERSIONS}\"" >> /.image_config; echo "FROM=\"${DOCKER_FROM}\"" >> /.image_config; echo "RELEASE_URL=\"${RELEASE_URL}\"" >> /.image_config; echo "BUILDER_URL=\"${BUILDER_URL}\"" >> /.image_config; echo "BUILD_DATE=\"$(date -Iseconds)\"" >> /.image_config # buildkit
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)WORKDIR /home/postgres
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)EXPOSE map[5432/tcp:{} 8008/tcp:{} 8081/tcp:{}]
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)USER postgres
2025-08-26 07:28:11 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres cicd /cicd/ # buildkit
2025-08-26 07:28:12 UTC (buildkit.dockerfile.v0)RUN |24 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg14-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg14 /bin/bash -exu -o pipefail -c /cicd/install_checks -v # buildkit
2025-08-26 07:28:03 UTC
1.43 GB
/home/postgres/pgdata/backup
BUILD_PACKAGESbinutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
CARGO_HOME/usr/local/cargo
DEBIAN_FRONTENDnoninteractive
LANGC.UTF-8
LC_ALLC.UTF-8
MAKEFLAGS-j4
PAGER PATH/usr/lib/postgresql/14/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PGBACKREST_CONFIG/home/postgres/pgdata/backup/pgbackrest.conf
PGBACKREST_STANZApoddb
PGDATA/home/postgres/pgdata/data
PGLOG/home/postgres/pg_log
PGROOT/home/postgres
PGSOCKET/home/postgres/pgdata
RUSTUP_HOME/usr/local/rustup
RUST_VERSION1.85.0
[#000] sha256:12988d4e65587a5bf2d724b19602de581247805c1ae6298b95f29cef57aabbed - 1.78% (26.1 MB)
[#001] sha256:3505ddcb2d074a32f34cb0cae81714d243e76ba44b9936909c5c14c11dca79f6 - 0.0% (4.21 KB)
[#002] sha256:d5b4b533d242e73dc51ec0849230361af89e4cbd1ffd518ba8c184e2aad13a6a - 0.0% (217 Bytes)
[#003] sha256:297bd2b128048bfc0b397ccbb3c0663ea525851c5073f456c186bee1d5cab948 - 0.0% (229 Bytes)
[#004] sha256:0783ee83c518f88ad5d7b1a765d47d46991a3d526fa49cca35cea6959916df04 - 0.0% (447 Bytes)
[#005] sha256:217a224616d949006309102630a8569d48dc20466485a19ae22d76440cbe1674 - 0.0% (935 Bytes)
[#006] sha256:3e1dd756b75905a749b93e3f45a6107b65941ad4ddddd2039c0ff9dae07ff9ed - 4.2% (61.5 MB)
[#007] sha256:ff9fb6640f8e438db5983e9f4c7a1e6e8e6d554a6efa63494af49d2ebbd44765 - 0.0% (119 Bytes)
[#008] sha256:2ecaac32001c8aff3140f4fc1fa647e56cd671ed0f54379fe21265e6523a0653 - 0.0% (95 Bytes)
[#009] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#010] sha256:0337b7fdb0e627382ae30af1bf4c9ad16bc3f9adb9384474ad44344c0e85501e - 0.0% (3.56 KB)
[#011] sha256:25592a03ab698a51c2b46d92ee7be41054cee158bafa79d99782296dbbb90802 - 0.0% (5.5 KB)
[#012] sha256:2cbcf2d8d31fe80b2e6a522b39788db47a39b545e4b36e81e3d4313ca9519f90 - 0.0% (2.97 KB)
[#013] sha256:99900a6de2f1a5d69fa89f7ac8bbd5a6553ab50ee9f071a1d8e930ebe91f8e30 - 0.0% (272 Bytes)
[#014] sha256:781078ea6e815bb14243d7d34911e0e202fe8e8ed928342d05e089061b271df1 - 5.05% (73.9 MB)
[#015] sha256:d63f3ff100eeb61300ac52083898f8ab8d6007f467b8b09cbb33082b6a6ef902 - 0.25% (3.69 MB)
[#016] sha256:2dc71c14438d245db64daabd9826c07599685bc97a5d7ddebe4a26d6ce1ce92e - 0.51% (7.53 MB)
[#017] sha256:52bb4f25da936ef79a94b8b7a94af4386995761eb568cefe3d5d8229a7237617 - 0.0% (838 Bytes)
[#018] sha256:033f0b12e865ac307a2f2de962c57635f4dc5ad524049956e04fc421a1635894 - 16.75% (245 MB)
[#019] sha256:df07284ac0ec46eabc96dbb684fb9fe93d89792384a5be656f12e71471ec3d63 - 0.06% (850 KB)
[#020] sha256:3450bff673889da0be864632afb84baf2540e2cd66e26e079ccc14875fed5616 - 0.33% (4.88 MB)
[#021] sha256:7cb8980e2202475608f19cf21c4107a9dec2727521c0ed727efb4014ff48fa94 - 2.47% (36.1 MB)
[#022] sha256:cfb00489e767532ad9eb22524a9c9b80be86dd5334fd62e023387e43dcf1f199 - 7.05% (103 MB)
[#023] sha256:1d4d0c12d543e13b76df503da6ff8e691206ae3aae8a4772541c0727a836e11d - 0.0% (1.96 KB)
[#024] sha256:303ce21b58c656974e2b238f6c97b3923ec62716c4bf631fae1f5718d0289190 - 0.1% (1.5 MB)
[#025] sha256:4386b8a07feec03763d0e01f3fdd308501ee0b9e44973ee3cc4ea2bcfaa75c1a - 0.0% (7.84 KB)
[#026] sha256:9432b96644058fa70d9f0792dea58d23732fb2d164d090df391e029f9e0c2b1f - 13.9% (204 MB)
[#027] sha256:d5b1b52cc9a59d20eaf43e9315e85ddf82d735d9020c215988c495c3905e9ce9 - 0.11% (1.55 MB)
[#028] sha256:0589dce43dd9d899c11f009194d223ce30c9f8eb778cd08b2c5d1dd3af779af7 - 7.26% (106 MB)
[#029] sha256:383af7e8e26cd203c7123e944664e731f90bca2b18aa2cd48a40ec1d00f5d21c - 0.0% (2.75 KB)
[#030] sha256:dbf7393fab5f84b1d76e873d11f5c37fd00cd2c92cb653faee7cf6a088d466c3 - 0.03% (428 KB)
[#031] sha256:abcf04945562d29607d0c07b16f96c43dc45099a1ef423e05506e0bf3aadb0b3 - 0.0% (2.75 KB)
[#032] sha256:038efbb8e524d07d7e6752851bbd0c9835657de3c8156add3be0466f9598511a - 0.02% (301 KB)
[#033] sha256:d6ea4a39fb8131f1efb6d054020aa1941fe3bf5deaff51098f1a1188f12ff119 - 0.34% (4.97 MB)
[#034] sha256:39daa69ba5c8410c1d74677e0ba8b36ecc8ee0ab95a1946c4f3396f4bd6dfc9a - 0.12% (1.81 MB)
[#035] sha256:5d637494c8cae8a6af7848f4b9577c10740833f017dec02b1d4ceef89190f123 - 0.34% (5.04 MB)
[#036] sha256:90ae603430063a9b32d6e8bbd6d8c59083daeeae54f0e5f6ba22606914c1cf3f - 1.37% (20 MB)
[#037] sha256:e11b67615bf13c5262a1dfacbae727b311c9647e16cf4e0b508cc73d49755388 - 0.28% (4.11 MB)
[#038] sha256:55cf850df38dba5be0f46cc2f016d70d5a756befa4642cfac7c3a8b7c49bce79 - 0.02% (240 KB)
[#039] sha256:0b425677ffa3077ddbf4694706c97dfc6675de441b7c08abc33ea924141e0a42 - 0.0% (641 Bytes)
[#040] sha256:7a50eead115f77b574c0b5bb95fc08b848a9798be30059023fd14b4eaefb4dfb - 0.0% (5.21 KB)
[#041] sha256:87b9a2dd6c5763797d966810bafb0da2f89d5bce9de73daf32462861689591c8 - 0.0% (123 Bytes)
[#042] sha256:15e6a3f5c558997166eca30d6f1b9d60fd633fd494cdf4b26f77896d4edde2e9 - 0.0% (15.4 KB)
[#043] sha256:3c4ca73ce2d1187a445b395b706eeca3dafc663502f0447ac4cf716ca554cd4a - 0.0% (8.63 KB)
[#044] sha256:fd28470379c192d0dd106896e0b5397772d9ba796743c1995fd217e8d0c603de - 5.53% (80.9 MB)
[#045] sha256:08d02e77adab268143d64882ac816f6d4aaaf6a1cc9908ac03325ac861dd0e5d - 1.29% (18.9 MB)
[#046] sha256:23cacff949686c73dee3d739be710b9413941be358c1bb1c922c9f7bb94e24c5 - 0.0% (164 Bytes)
[#047] sha256:1b23d3e3d9fad047518ab6fe2f3f9691037e4fd79efecb1bc2972eefabac9368 - 4.02% (58.8 MB)
[#048] sha256:64aa0c151e639b0c47b21b7ff4f5290b08d8ec80c550b14ef01336d52fa1c438 - 0.72% (10.5 MB)
[#049] sha256:6959ab17ceb6c94f0faa1b74da30fdf40fb590c11d16ecdb45aa8739fbb26a13 - 0.02% (267 KB)
[#050] sha256:3347d14b890727b27094cf2421f33aaa814071daa0a6b244d77bcf8f5ec509bb - 0.03% (444 KB)
[#051] sha256:7472e8793aa28bcbdd85b19df816ad0d2065527afbb44fbceffd354398a93466 - 24.82% (364 MB)
[#052] sha256:b03642b4f884a5b87c39f88cf2b2ba85b38668b0553ca8318c8cf3beaf4d2898 - 0.61% (8.89 MB)
[#053] sha256:b67977e6bf59d5a40f22c9d65525b779324984b767feb6a73a88fa69592d0302 - 0.25% (3.63 MB)
[#054] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#055] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#056] sha256:fcca411ec5ce52c237793c27a80d92a240e5f03e50bacf96344e23f79db1b5eb - 0.0% (1.26 KB)
[#057] sha256:679f2ef20db73cd251907bf6c78fcd8eb868f89066d27eadbb54cc1e9c3e23b1 - 0.0% (121 Bytes)
[#058] sha256:f6c4c1b0adf487447c0425abdd83057496c1534a593598fea097af7182a212fe - 0.0% (985 Bytes)
[#059] sha256:d7d0754908334e8adec54f9b73784d29b79854f296da4e1864a79c0ea2c58494 - 0.0% (25 KB)
[#060] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#061] sha256:2d529c7f71e5d23ba379344e34579a25cb87a93cb75533d436806392c97b7df4 - 0.0% (333 Bytes)
[#062] sha256:3df768587ad1f1eea23905be15428fe61917d6d6a458b007a118f2876ea900d1 - 0.0% (151 Bytes)
[#063] sha256:89711df036ac5009681af285220c46c5b4db45b2f92ebe33546e8f6641b2ca94 - 0.0% (321 Bytes)
[#064] sha256:fdfc32179d5fdc7dd5bc3013df8711dcd8051601bcaa1c7fc0324a632529dbad - 0.37% (5.44 MB)
[#065] sha256:b1c3cf31c2a38eec5cfc65cdb84a4dd4eea7a3b9cfceb8e549665e4e6cb49928 - 0.0% (911 Bytes)
[#066] sha256:9bc54462e73e52bc0e806891504f34bc5b348027d5a4903b6cd5edcc30c95100 - 0.0% (582 Bytes)
[#067] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)
[#068] sha256:1939353216979f2d600e36d3d5f6ca91460c68db67893a44c1962b3b233dd914 - 0.0% (4.05 KB)
[#069] sha256:28e179192450cfba9e7d84eec9ac96d84e0d6d51a08bbb8ee0e53b19b58bd05e - 0.0% (146 Bytes)
/bin/sh -c #(nop) ARG RELEASE
2025-07-30 05:34:14 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2025-07-30 05:34:14 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2025-07-30 05:34:14 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04
2025-07-30 05:34:17 UTC/bin/sh -c #(nop) ADD file:b045ee8ca1dc1b3294d6328d500a5ec30fb4bcdea1a91177f0280497c391ce2b in /
2025-07-30 05:34:17 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)SHELL [/bin/bash -exu -o pipefail -c]
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)ARG PG_VERSIONS=14
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=14
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)ENV DEBIAN_FRONTEND=noninteractive
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c adduser --home /home/postgres --uid 1000 --disabled-password --gecos "" postgres # buildkit
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c echo 'APT::Install-Recommends "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c echo 'APT::Install-Suggests "false";' >> /etc/apt/apt.conf.d/01norecommend # buildkit
2025-08-26 07:11:55 UTC (buildkit.dockerfile.v0)COPY sources /tmp/sources # buildkit
2025-08-26 07:11:56 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c source="/tmp/sources/sources.list.$(dpkg --print-architecture)"; mv /etc/apt/sources.list /etc/apt/sources.list.dist; cp "$source" /etc/apt/sources.list; rm -fr /tmp/sources # buildkit
2025-08-26 07:12:10 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y ca-certificates curl gnupg1 gpg gpg-agent locales lsb-release wget unzip # buildkit
2025-08-26 07:12:10 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c mkdir -p /build/scripts # buildkit
2025-08-26 07:12:10 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c chmod 777 /build # buildkit
2025-08-26 07:12:10 UTC (buildkit.dockerfile.v0)WORKDIR /build/
2025-08-26 07:12:11 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c curl -Ls https://www.postgresql.org/media/keys/ACCC4CF8.asc | gpg --dearmor --output /usr/share/keyrings/postgresql.keyring # buildkit
2025-08-26 07:12:12 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c for t in deb deb-src; do echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt.postgresql.org/pub/repos/apt/ $(lsb_release -s -c)-pgdg main 18" >> /etc/apt/sources.list.d/pgdg.list; echo "$t [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/postgresql.keyring] https://apt-archive.postgresql.org/pub/repos/apt $(lsb_release -s -c)-pgdg-archive main" >> /etc/apt/sources.list.d/pgdg.list; done # buildkit
2025-08-26 07:12:12 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c curl -Ls https://packagecloud.io/timescale/timescaledb/gpgkey | gpg --dearmor --output /usr/share/keyrings/timescaledb.keyring # buildkit
2025-08-26 07:12:13 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/timescaledb.keyring] https://packagecloud.io/timescale/timescaledb/ubuntu/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/timescaledb.list # buildkit
2025-08-26 07:12:38 UTC (buildkit.dockerfile.v0)RUN |2 PG_VERSIONS=14 PG_MAJOR=14 /bin/bash -exu -o pipefail -c apt-get update; apt-get upgrade -y; apt-get install -y less jq strace procps awscli vim-tiny gdb gdbserver dumb-init daemontools postgresql-common pgbouncer pgbackrest lz4 libpq-dev libpq5 pgtop libnss-wrapper gosu pg-activity lsof htop; curl -Lso /usr/local/bin/yq https://github.com/mikefarah/yq/releases/latest/download/yq_linux_"$(dpkg --print-architecture)"; chmod 755 /usr/local/bin/yq # buildkit
2025-08-26 07:12:38 UTC (buildkit.dockerfile.v0)ARG PGBACKREST_EXPORTER_VERSION=0.18.0
2025-08-26 07:12:39 UTC (buildkit.dockerfile.v0)RUN |3 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 /bin/bash -exu -o pipefail -c arch="$(arch)"; [ "$arch" = aarch64 ] && arch=arm64; pkg="pgbackrest_exporter_${PGBACKREST_EXPORTER_VERSION}_linux_${arch}"; curl --silent --location --output /tmp/pkg.deb "https://github.com/woblerr/pgbackrest_exporter/releases/download/v${PGBACKREST_EXPORTER_VERSION}/${pkg}.deb"; cd /tmp; dpkg -i ./pkg.deb; rm -rfv /tmp/pkg.deb # buildkit
2025-08-26 07:12:39 UTC (buildkit.dockerfile.v0)ARG PGBOUNCER_EXPORTER_VERSION=0.9.0
2025-08-26 07:12:40 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c pkg="pgbouncer_exporter-${PGBOUNCER_EXPORTER_VERSION}.linux-$(dpkg --print-architecture)"; curl --silent --location --output /tmp/pkg.tgz "https://github.com/prometheus-community/pgbouncer_exporter/releases/download/v${PGBOUNCER_EXPORTER_VERSION}/${pkg}.tar.gz"; cd /tmp; tar xvzf /tmp/pkg.tgz "$pkg"/pgbouncer_exporter; mv -v /tmp/"$pkg"/pgbouncer_exporter /usr/local/bin/pgbouncer_exporter; rm -rfv /tmp/pkg.tgz /tmp/"$pkg" # buildkit
2025-08-26 07:12:40 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c sed -ri 's/#(create_main_cluster) .*$/\1 = false/' /etc/postgresql-common/createcluster.conf # buildkit
2025-08-26 07:12:40 UTC (buildkit.dockerfile.v0)ENV RUSTUP_HOME=/usr/local/rustup CARGO_HOME=/usr/local/cargo PATH=/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin RUST_VERSION=1.85.0
2025-08-26 07:12:55 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) rustArch='x86_64-unknown-linux-gnu'; rustupSha256='6aeece6993e902708983b209d04c0d1dbb14ebb405ddb87def578d41f920f56d' ;; armhf) rustArch='armv7-unknown-linux-gnueabihf'; rustupSha256='3c4114923305f1cd3b96ce3454e9e549ad4aa7c07c03aec73d1a785e98388bed' ;; arm64) rustArch='aarch64-unknown-linux-gnu'; rustupSha256='1cffbf51e63e634c746f741de50649bbbcbd9dbe1de363c9ecef64e278dba2b2' ;; i386) rustArch='i686-unknown-linux-gnu'; rustupSha256='0a6bed6e9f21192a51f83977716466895706059afb880500ff1d0e751ada5237' ;; *) echo >&2 "unsupported architecture: ${dpkgArch}"; exit 1 ;; esac; url="https://static.rust-lang.org/rustup/archive/1.27.1/${rustArch}/rustup-init"; wget "$url"; echo "${rustupSha256} *rustup-init" | sha256sum -c -; chmod +x rustup-init; ./rustup-init -y --no-modify-path --profile minimal --default-toolchain $RUST_VERSION --default-host ${rustArch}; rm rustup-init; chmod -R a+w $RUSTUP_HOME $CARGO_HOME; rustup --version; cargo --version; rustc --version # buildkit
2025-08-26 07:12:57 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c find /usr/share/i18n/charmaps/ -type f ! -name UTF-8.gz -delete; find /usr/share/i18n/locales/ -type f ! -name en_US ! -name en_GB ! -name i18n* ! -name iso14651_t1 ! -name iso14651_t1_common ! -name 'translit_*' -delete; echo 'en_US.UTF-8 UTF-8' > /usr/share/i18n/SUPPORTED; localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8 # buildkit
2025-08-26 07:13:02 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y python3 python3-pip # buildkit
2025-08-26 07:13:04 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c python3 -m pip install uv # buildkit
2025-08-26 07:13:04 UTC (buildkit.dockerfile.v0)ENV BUILD_PACKAGES=binutils cmake devscripts equivs gcc git gpg gpg-agent libc-dev libc6-dev libkrb5-dev libperl-dev libssl-dev lsb-release make patchutils python2-dev python3-dev wget libsodium-dev
2025-08-26 07:13:24 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y ${BUILD_PACKAGES} # buildkit
2025-08-26 07:13:26 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-mark auto ${BUILD_PACKAGES} # buildkit
2025-08-26 07:13:34 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y --allow-downgrades tzdata="2022a-*" # buildkit
2025-08-26 07:13:34 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres build_scripts /build/scripts/ # buildkit
2025-08-26 07:13:58 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do mk-build-deps "postgresql-${pg}" && apt-get install -y ./postgresql-${pg}-build-deps*.deb && apt-mark auto postgresql-${pg}-build-deps || exit 1; done # buildkit
2025-08-26 07:14:05 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c apt-get install -y tzdata # buildkit
2025-08-26 07:14:25 UTC (buildkit.dockerfile.v0)RUN |4 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 /bin/bash -exu -o pipefail -c packages=""; for pg in ${PG_VERSIONS}; do export FULL_VERSION="$(/build/scripts/pg_version.sh ${pg})*" ; packages="$packages postgresql-client-${pg}=${FULL_VERSION} postgresql-${pg}=${FULL_VERSION} postgresql-server-dev-${pg}=${FULL_VERSION} postgresql-${pg}-dbgsym=${FULL_VERSION} postgresql-plpython3-${pg}=${FULL_VERSION} postgresql-plperl-${pg}=${FULL_VERSION} postgresql-${pg}-pgextwlist postgresql-${pg}-repack postgresql-${pg}-unit postgresql-${pg}-pgpcre postgresql-${pg}-wal2json postgresql-${pg}-pgq3 postgresql-${pg}-ip4r postgresql-${pg}-pgtap postgresql-${pg}-semver postgresql-${pg}-orafce"; if [ "$pg" -lt 18 ]; then packages="$packages postgresql-${pg}-hypopg postgresql-${pg}-pg-stat-kcache postgresql-${pg}-cron postgresql-${pg}-pglogical postgresql-${pg}-pg-qualstats postgresql-${pg}-pgaudit postgresql-${pg}-hll postgresql-${pg}-pgrouting postgresql-${pg}-pgvector postgresql-${pg}-pldebugger postgresql-${pg}-h3 postgresql-${pg}-rum"; fi; done; apt-get install -y $packages # buildkit
2025-08-26 07:14:25 UTC (buildkit.dockerfile.v0)ARG POSTGIS_VERSIONS=3
2025-08-26 07:14:28 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c if [ -n "${POSTGIS_VERSIONS}" ]; then for postgisv in ${POSTGIS_VERSIONS}; do for pg in ${PG_VERSIONS}; do [ "$pg" -gt 17 ] && continue; apt-get install -y postgresql-${pg}-postgis-${postgisv}; done; done; fi # buildkit
2025-08-26 07:14:30 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y pgxnclient # buildkit
2025-08-26 07:14:32 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c apt-get install -y libsodium23 # buildkit
2025-08-26 07:14:41 UTC (buildkit.dockerfile.v0)RUN |5 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for pkg in pg_uuidv7 pgsodium; do PATH="/usr/lib/postgresql/${pg}/bin:$PATH" pgxnclient install --pg_config "/usr/lib/postgresql/${pg}/bin/pg_config" "$pkg"; done; done # buildkit
2025-08-26 07:14:41 UTC (buildkit.dockerfile.v0)ARG PGVECTO_RS=0.4.0
2025-08-26 07:14:44 UTC (buildkit.dockerfile.v0)RUN |6 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 /bin/bash -exu -o pipefail -c if [ -n "${PGVECTO_RS}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 14 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectors.deb "https://github.com/tensorchord/pgvecto.rs/releases/download/v${PGVECTO_RS}/vectors-pg${pg}_${PGVECTO_RS}_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectors.deb && rm -rfv /tmp/vectors.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vectors.so"; fi done; fi # buildkit
2025-08-26 07:14:44 UTC (buildkit.dockerfile.v0)ARG VECTORCHORD=0.4.3
2025-08-26 07:14:46 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c set -ex; if [ -n "${VECTORCHORD}" ]; then for pg in ${PG_VERSIONS}; do if [[ $pg -ge 13 && $pg -lt 18 ]]; then curl --silent --location --output /tmp/vectorchord.deb "https://github.com/tensorchord/VectorChord/releases/download/${VECTORCHORD}/postgresql-${pg}-vchord_${VECTORCHORD}-1_$(dpkg --print-architecture).deb" && dpkg -i /tmp/vectorchord.deb && rm -rfv /tmp/vectorchord.deb && strip --strip-unneeded "/usr/lib/postgresql/${pg}/lib/vchord.so"; fi done; fi # buildkit
2025-08-26 07:14:53 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c apt-get install -y python3-etcd python3-requests python3-pystache python3-kubernetes python3-pysyncobj patroni # buildkit
2025-08-26 07:14:59 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c pip3 install --no-cache-dir 'barman[cloud,azure,snappy,google]' # buildkit
2025-08-26 07:15:04 UTC (buildkit.dockerfile.v0)RUN |7 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 /bin/bash -exu -o pipefail -c apt-get install -y timescaledb-tools # buildkit
2025-08-26 07:15:04 UTC (buildkit.dockerfile.v0)ARG GITHUB_TIMESCALEDB_DOCKER_REF=main
2025-08-26 07:15:04 UTC (buildkit.dockerfile.v0)ARG GITHUB_DOCKERLIB_POSTGRES_REF=master
2025-08-26 07:15:04 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c cd /build; git clone https://github.com/timescale/timescaledb-docker; cd timescaledb-docker; git checkout ${GITHUB_TIMESCALEDB_DOCKER_REF}; cp -a docker-entrypoint-initdb.d /docker-entrypoint-initdb.d/; ln -s /usr/bin/timescaledb-tune /usr/local/bin/timescaledb-tune # buildkit
2025-08-26 07:15:04 UTC (buildkit.dockerfile.v0)COPY scripts/010_install_timescaledb_toolkit.sh /docker-entrypoint-initdb.d/ # buildkit
2025-08-26 07:15:05 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/docker-entrypoint.sh # buildkit
2025-08-26 07:15:05 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chmod +x /usr/local/bin/docker-entrypoint.sh; ln -s /usr/local/bin/docker-entrypoint.sh /docker-entrypoint.sh # buildkit
2025-08-26 07:15:09 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --includedir-server)/extension"; do install --directory "${dir}" --group postgres --mode 1775; find "${dir}" -type d -exec install --directory {} --group postgres --mode 1775 \;; done; done # buildkit
2025-08-26 07:15:09 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c for file in $(find /usr/share/postgresql -name 'postgresql.conf.sample'); do [[ "$file" =~ /18/ ]] && continue; sed -r -i "s/[#]*\s*(shared_preload_libraries)\s*=\s*'(.*)'/\1 = 'timescaledb,\2'/;s/,'/'/" $file && echo "listen_addresses = '*'" >> $file; done # buildkit
2025-08-26 07:15:11 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c chown -R postgres:postgres /usr/local/cargo # buildkit
2025-08-26 07:15:12 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c mkdir -p /usr/lib/debug; chgrp -R postgres /usr/lib/debug; chmod -R g+w /usr/lib/debug # buildkit
2025-08-26 07:15:12 UTC (buildkit.dockerfile.v0)RUN |9 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d /usr/local/lib/pgai # buildkit
2025-08-26 07:15:12 UTC (buildkit.dockerfile.v0)USER postgres
2025-08-26 07:15:12 UTC (buildkit.dockerfile.v0)ENV MAKEFLAGS=-j4
2025-08-26 07:15:12 UTC (buildkit.dockerfile.v0)ARG PGAI_VERSION=extension-0.11.0
2025-08-26 07:15:14 UTC (buildkit.dockerfile.v0)RUN |10 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 /bin/bash -exu -o pipefail -c if [ -n "${PGAI_VERSION}" ]; then git clone --branch "${PGAI_VERSION}" https://github.com/timescale/pgai.git /build/pgai; cd /build/pgai; for pg in ${PG_VERSIONS}; do [[ "$pg" -lt 16 || "$pg" -gt 17 ]] && continue; PG_BIN=$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir) PG_MAJOR=${pg} ./projects/extension/build.py install all; done; fi # buildkit
2025-08-26 07:15:14 UTC (buildkit.dockerfile.v0)ARG PG_STAT_MONITOR=2.1.0
2025-08-26 07:15:17 UTC (buildkit.dockerfile.v0)RUN |11 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_STAT_MONITOR}" ]; then git clone https://github.com/percona/pg_stat_monitor /build/pg_stat_monitor; cd /build/pg_stat_monitor; git checkout "${PG_STAT_MONITOR}"; git reset HEAD --hard; for pg in ${PG_VERSIONS}; do [ $pg -gt 17 ] && continue; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 all; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make USE_PGXS=1 install; done; fi # buildkit
2025-08-26 07:15:17 UTC (buildkit.dockerfile.v0)ARG PG_AUTH_MON=v3.0
2025-08-26 07:15:17 UTC (buildkit.dockerfile.v0)RUN |12 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 /bin/bash -exu -o pipefail -c if [ -n "${PG_AUTH_MON}" ]; then git clone https://github.com/RafiaSabih/pg_auth_mon /build/pg_auth_mon; cd /build/pg_auth_mon; git checkout "${PG_AUTH_MON}"; for pg in ${PG_VERSIONS}; do git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2025-08-26 07:15:17 UTC (buildkit.dockerfile.v0)ARG PG_LOGERRORS=v2.1.3
2025-08-26 07:15:18 UTC (buildkit.dockerfile.v0)RUN |13 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 /bin/bash -exu -o pipefail -c if [ -n "${PG_LOGERRORS}" ]; then git clone https://github.com/munakoiso/logerrors /build/logerrors; cd /build/logerrors; git checkout "${PG_LOGERRORS}"; for pg in ${PG_VERSIONS}; do [ $pg -gt 17 ] && continue; git reset HEAD --hard; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make clean; PATH="/usr/lib/postgresql/${pg}/bin:${PATH}" make install; done; fi # buildkit
2025-08-26 07:15:18 UTC (buildkit.dockerfile.v0)ARG INSTALL_METHOD=docker-ha
2025-08-26 07:15:18 UTC (buildkit.dockerfile.v0)ARG OSS_ONLY=false
2025-08-26 07:15:18 UTC (buildkit.dockerfile.v0)ARG RUST_RELEASE=release
2025-08-26 07:15:18 UTC (buildkit.dockerfile.v0)ARG GITHUB_REPO=timescale/timescaledb
2025-08-26 07:15:18 UTC (buildkit.dockerfile.v0)ARG TIMESCALEDB_VERSIONS=all
2025-08-26 07:27:43 UTC (buildkit.dockerfile.v0)RUN |18 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" GITHUB_REPO="${GITHUB_REPO}" TIMESCALEDB_VERSIONS="${TIMESCALEDB_VERSIONS}" /build/scripts/install_extensions timescaledb # buildkit
2025-08-26 07:27:43 UTC (buildkit.dockerfile.v0)ARG TOOLKIT_VERSIONS=all
2025-08-26 07:27:53 UTC (buildkit.dockerfile.v0)RUN |19 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" TOOLKIT_VERSIONS="${TOOLKIT_VERSIONS}" /build/scripts/install_extensions rust # buildkit
2025-08-26 07:27:53 UTC (buildkit.dockerfile.v0)ARG PGVECTORSCALE_VERSIONS=all
2025-08-26 07:27:56 UTC (buildkit.dockerfile.v0)RUN |20 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all /bin/bash -exu -o pipefail -c OSS_ONLY="${OSS_ONLY}" RUST_RELEASE="${RUST_RELEASE}" PGVECTORSCALE_VERSIONS="${PGVECTORSCALE_VERSIONS}" /build/scripts/install_extensions pgvectorscale # buildkit
2025-08-26 07:27:56 UTC (buildkit.dockerfile.v0)USER root
2025-08-26 07:27:56 UTC (buildkit.dockerfile.v0)ARG ALLOW_ADDING_EXTENSIONS=true
2025-08-26 07:27:56 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c if [ "${ALLOW_ADDING_EXTENSIONS}" != "true" ]; then for pg in ${PG_VERSIONS}; do for dir in /usr/share/doc "$(/usr/lib/postgresql/${pg}/bin/pg_config --sharedir)/extension" "$(/usr/lib/postgresql/${pg}/bin/pg_config --pkglibdir)" "$(/usr/lib/postgresql/${pg}/bin/pg_config --bindir)"; do chown -R root:root "{dir}"; done; done; fi # buildkit
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c apt-get clean # buildkit
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)ARG PG_MAJOR=14
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)CMD ["postgres"]
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)COPY timescaledb_entrypoint.sh / # buildkit
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c ln -s /timescaledb_entrypoint.sh /patroni_entrypoint.sh # buildkit
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)COPY pgbackrest_entrypoint.sh / # buildkit
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)COPY scripts /scripts/ # buildkit
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)ENV PGROOT=/home/postgres PGDATA=/home/postgres/pgdata/data PGLOG=/home/postgres/pg_log PGSOCKET=/home/postgres/pgdata BACKUPROOT=/home/postgres/pgdata/backup PGBACKREST_CONFIG=/home/postgres/pgdata/backup/pgbackrest.conf PGBACKREST_STANZA=poddb PATH=/usr/lib/postgresql/14/bin:/usr/local/cargo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin LC_ALL=C.UTF-8 LANG=C.UTF-8 PAGER=
2025-08-26 07:27:57 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c usermod postgres --home "${PGROOT}" --move-home # buildkit
2025-08-26 07:27:58 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c install -o postgres -g postgres -m 0750 -d "${PGROOT}" "${PGLOG}" "${PGDATA}" "${BACKUPROOT}" /etc/supervisor/conf.d /scripts /var/lib/postgresql # buildkit
2025-08-26 07:27:58 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c rm /etc/pgbackrest.conf && ln -s "${PGBACKREST_CONFIG}" /etc/pgbackrest.conf # buildkit
2025-08-26 07:27:58 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c for i in $(seq 0 7); do touch "${PGLOG}/postgresql-$i.log" "${PGLOG}/postgresql-$i.csv"; done # buildkit
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c set -e; chown -R postgres:postgres "${PGLOG}" "${PGROOT}" "${PGDATA}" /var/run/postgresql/; chown -R postgres:postgres /var/log/pgbackrest/ /var/lib/pgbackrest /var/spool/pgbackrest; chmod -x /usr/lib/postgresql/*/lib/*.so; chmod 1777 /var/run/postgresql; chmod 755 "${PGROOT}" # buildkit
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)RUN |21 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true /bin/bash -exu -o pipefail -c set -eux; mv -f /etc/apt/sources.list /etc/apt/sources.list.aws; mv -f /etc/apt/sources.list.dist /etc/apt/sources.list # buildkit
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)ARG DOCKER_FROM=ubuntu:22.04
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)ARG BUILDER_URL=docker.io/timescale/timescaledb-ha:pg14-builder
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)ARG RELEASE_URL=docker.io/timescale/timescaledb-ha:pg14
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)RUN |24 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg14-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg14 /bin/bash -exu -o pipefail -c /build/scripts/install_extensions versions > /.image_config; echo "OSS_ONLY=\"$OSS_ONLY\"" >> /.image_config; echo "PG_LOGERRORS=\"${PG_LOGERRORS}\"" >> /.image_config; echo "PG_STAT_MONITOR=\"${PG_STAT_MONITOR}\"" >> /.image_config; echo "PGVECTO_RS=\"${PGVECTO_RS}\"" >> /.image_config; echo "VECTORCHORD=\"${VECTORCHORD}\"" >> /.image_config; echo "POSTGIS_VERSIONS=\"${POSTGIS_VERSIONS}\"" >> /.image_config; echo "PG_AUTH_MON=\"${PG_AUTH_MON}\"" >> /.image_config; echo "PGBOUNCER_EXPORTER_VERSION=\"${PGBOUNCER_EXPORTER_VERSION}\"" >> /.image_config; echo "PGBACKREST_EXPORTER_VERSION=\"${PGBACKREST_EXPORTER_VERSION}\"" >> /.image_config; echo "PGAI_VERSION=\"${PGAI_VERSION}\"" >> /.image_config; echo "PGVECTORSCALE_VERSIONS=\"${PGVECTORSCALE_VERSIONS}\"" >> /.image_config; echo "PG_MAJOR=\"${PG_MAJOR}\"" >> /.image_config; echo "PG_VERSIONS=\"${PG_VERSIONS}\"" >> /.image_config; echo "FROM=\"${DOCKER_FROM}\"" >> /.image_config; echo "RELEASE_URL=\"${RELEASE_URL}\"" >> /.image_config; echo "BUILDER_URL=\"${BUILDER_URL}\"" >> /.image_config; echo "BUILD_DATE=\"$(date -Iseconds)\"" >> /.image_config # buildkit
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)WORKDIR /home/postgres
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)EXPOSE map[5432/tcp:{} 8008/tcp:{} 8081/tcp:{}]
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)USER postgres
2025-08-26 07:28:02 UTC (buildkit.dockerfile.v0)COPY --chown=postgres:postgres cicd /cicd/ # buildkit
2025-08-26 07:28:03 UTC (buildkit.dockerfile.v0)RUN |24 PG_VERSIONS=14 PG_MAJOR=14 PGBACKREST_EXPORTER_VERSION=0.18.0 PGBOUNCER_EXPORTER_VERSION=0.9.0 POSTGIS_VERSIONS=3 PGVECTO_RS=0.4.0 VECTORCHORD=0.4.3 GITHUB_TIMESCALEDB_DOCKER_REF=main GITHUB_DOCKERLIB_POSTGRES_REF=master PGAI_VERSION=extension-0.11.0 PG_STAT_MONITOR=2.1.0 PG_AUTH_MON=v3.0 PG_LOGERRORS=v2.1.3 INSTALL_METHOD=docker-ha OSS_ONLY=false RUST_RELEASE=release GITHUB_REPO=timescale/timescaledb TIMESCALEDB_VERSIONS=all TOOLKIT_VERSIONS=all PGVECTORSCALE_VERSIONS=all ALLOW_ADDING_EXTENSIONS=true DOCKER_FROM=ubuntu:22.04 BUILDER_URL=docker.io/timescale/timescaledb-ha:pg14-builder RELEASE_URL=docker.io/timescale/timescaledb-ha:pg14 /bin/bash -exu -o pipefail -c /cicd/install_checks -v # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.